<!doctype html>
<html lang="en">

<head>
    <title>42.10 pizza365 V1.9</title>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css">

    <link rel="stylesheet" href="style.css">
</head>

<body>
    <div class="header">

        <nav class="navbar-expand-lg navbar-light bg-warning header-nav fixed-top">

            <ul class="navbar-nav d-flex justify-content-around container-menu ">
                <li class="nav-item active">
                    <a class="nav-link" href="#">Trang chủ</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="#">Combo</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="#">Loại pizza</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link " href="#">Gửi đơn hàng</a>
                </li>
            </ul>

        </nav>

    </div>
    <div class="container content">
        <div class="row row-logo">
            <h4 class="font-weight-bold text-warning">PIZZA 365</h4>

        </div>
        <div class="row row-logo">
            <p class="font-italic text-warning">Truly italian!</p>
        </div>
        <div class="row row-carousel">
            <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">
                <ol class="carousel-indicators">
                    <li data-target="#carouselExampleIndicators" data-slide-to="0" class="active"></li>
                    <li data-target="#carouselExampleIndicators" data-slide-to="1"></li>
                    <li data-target="#carouselExampleIndicators" data-slide-to="2"></li>
                    <li data-target="#carouselExampleIndicators" data-slide-to="3"></li>
                </ol>
                <div class="carousel-inner">
                    <div class="carousel-item active">
                        <img class="d-block w-100" src="Mockup_Images_Pizza365.v1.9/1.jpg" alt="First slide">
                    </div>
                    <div class="carousel-item">
                        <img class="d-block w-100" src="Mockup_Images_Pizza365.v1.9/2.jpg" alt="Second slide">
                    </div>
                    <div class="carousel-item">
                        <img class="d-block w-100" src="Mockup_Images_Pizza365.v1.9/3.jpg" alt="Third slide">
                    </div>
                    <div class="carousel-item">
                        <img class="d-block w-100" src="Mockup_Images_Pizza365.v1.9/4.jpg" alt="Third slide">
                    </div>
                </div>
                <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
                    <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                    <span class="sr-only">Previous</span>
                </a>
                <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
                    <span class="carousel-control-next-icon" aria-hidden="true"></span>
                    <span class="sr-only">Next</span>
                </a>
            </div>

        </div>

        <div class="row mt-5 text-center">
            <div class="col-sm-12">
                <h3 class="text-warning">Tại sao lại Pizza 365</h3>
                <hr class="hr-title">
            </div>

        </div>
        <div class="row">
            <div class="col-sm-3 col-title">
                <h4 class="mb-3">Đa Dạng</h4>
                <p>Số lượng pizza đa dạng,có đầy đủ các loại pizza hot nhất hiện nay</p>
            </div>
            <div class="col-sm-3 col-title">
                <h4 class="mb-3">Chất lượng</h4>
                <p>Nguyên liệu 100% sạch rõ nguồn gốc,quy trình chế biến đảm bảo vệ sinh an toàn thực phẩm</p>
            </div>
            <div class="col-sm-3 col-title">
                <h4 class="mb-3">Hương vị</h4>
                <p>Đảm bảo hương vị ngon,độc lạ mà bạn chỉ có thể trải nghiệm từ pizza 365</p>
            </div>
            <div class="col-sm-3 col-title">
                <h4 class="mb-3">Dịch vụ</h4>
                <p>Nhân viên thân thiện,nhà hàng hiện đại. Dịch vụ giao hàng nhanh, chất lượng, tân tiến</p>
            </div>
        </div>
        <div class="row mt-5 text-center">
            <div class="col-sm-12">
                <h3 class="text-warning">Chọn size pizza</h3>
                <hr class="hr-combo">
                <p class="p-title-combo text-warning">Chọn combo pizza phù hợp với nhu cầu của bạn</p>
            </div>

        </div>
        <div class="row row-res">
            <div class="col-sm-4 col-res text-center">
                <div class="card" style="width: 18rem;">
                    <div class="card-header bg-warning">
                        <b>S (small)</b>

                    </div>
                    <div class="card-body">
                        <p>Đường kính: <b>20cm</b></p>
                        <hr>
                        <p>Sườn nướng: <b>2</b></p>
                        <hr>
                        <p>Salad: <b>200g</b></p>
                        <hr>
                        <p>Nước ngọt: <b>2</b></p>
                        <hr>
                        <h3><b>150.000</b> </h3>
                        <p>VNĐ</p>
                    </div>
                    <div class="card-footer">
                        <button class="btn btn-warning col-sm-12" id="btn-s">Chọn</button>
                    </div>
                </div>
            </div>
            <div class="col-sm-4 col-res text-center">
                <div class="card" style="width: 18rem;">
                    <div class="card-header">
                        <b>M (medium)</b>

                    </div>
                    <div class="card-body">
                        <p>Đường kính: <b>25cm</b></p>
                        <hr>
                        <p>Sườn nướng: <b>4</b></p>
                        <hr>
                        <p>Salad: <b>300g</b></p>
                        <hr>
                        <p>Nước ngọt: <b>3</b></p>
                        <hr>
                        <h3><b>200.000</b> </h3>
                        <p>VNĐ</p>
                    </div>
                    <div class="card-footer">
                        <button class="btn btn-warning col-sm-12" id="btn-m">Chọn</button>
                    </div>
                </div>
            </div>
            <div class="col-sm-4 col-res text-center">
                <div class="card" style="width: 18rem;">
                    <div class="card-header bg-warning">
                        <b>L (large)</b>

                    </div>
                    <div class="card-body">
                        <p>Đường kính: <b>30cm</b></p>
                        <hr>
                        <p>Sườn nướng: <b>8</b></p>
                        <hr>
                        <p>Salad: <b>500g</b></p>
                        <hr>
                        <p>Nước ngọt: <b>4</b></p>
                        <hr>
                        <h3><b>250.000</b> </h3>
                        <p>VNĐ</p>
                    </div>
                    <div class="card-footer">
                        <button class="btn btn-warning col-sm-12" id="btn-l">Chọn</button>
                    </div>
                </div>
            </div>
        </div>
        <div class="row mt-5 ">
            <div class="col-sm-12 text-center">
                <h3 class="text-warning">Chọn loại pizza</h3>
                <hr class="hr-loai-pizza">

            </div>
        </div>
        <div class="row row-res row-loai-pizza">
            <div class="col-sm-4 col-res">
                <div class="card" style="width: 18rem;">

                    <img class="card-img-top" src="Mockup_Images_Pizza365.v1.9/seafood.jpg" alt="">


                    <div class="card-body">
                        <p><b>OCEAN MANIA</b></p>
                        <p class="text-loai-pizza">PIZZA HẢI SẢN SỐT MAYONNAISE</p>
                        <p>Sốt Cà Chua, Phô Mai Mozzarella, Tôm, Mực, Thanh Cua, Hành Tây</p>
                        <button class="btn btn-warning col-sm-12" id="id-hai-san">Chọn</button>
                    </div>
                </div>
            </div>
            <div class="col-sm-4 col-res">
                <div class="card" style="width: 18rem;">

                    <img class="card-img-top" src="Mockup_Images_Pizza365.v1.9/hawaiian.jpg" alt="">


                    <div class="card-body">
                        <p><b>HAWAIIAN</b></p>
                        <p class="text-loai-pizza">PIZZA DĂM BÔNG DỨA KIỂU HAWAII</p>
                        <p>Sốt Cà Chua, Phô Mai Mozzarella, Thịt Dăm Bông, Thơm</p>
                        <button class="btn btn-warning col-sm-12" id="btn-dam-bong">Chọn</button>
                    </div>
                </div>
            </div>
            <div class="col-sm-4 col-res">
                <div class="card" style="width: 18rem;">

                    <img class="card-img-top" src="Mockup_Images_Pizza365.v1.9/bacon.jpg" alt="">


                    <div class="card-body">
                        <p><b>CHEESY CHICKEN BACON</b></p>
                        <p class="text-loai-pizza">PIZZA GÀ PHÔ MAI THỊT HEO XÔNG KHÓI</p>
                        <p>Xốt Phô Mai, Thịt Gà, Thịt Heo Muối, Phô Mai Mozzarella, Cà Chua </p>
                        <button class="btn btn-warning col-sm-12" id="btn-thit-xong-khoi">Chọn</button>
                    </div>
                </div>
            </div>
        </div>
        <div class="row mt-5 ">
            <div class="col-sm-12 text-center">
                <h3 class="text-warning">Chọn đồ uống</h3>
                <hr class="hr-loai-pizza">

            </div>

        </div>
        <div class="row row-drink">

            <select name="" id="" class="form-control">
                <option value="">Tất cả loại nước uống</option>
            </select>

        </div>

        <div class="row mt-5 ">
            <div class="col-sm-12 text-center">
                <h3 class="text-warning">Gửi đơn hàng</h3>
                <hr class="hr-loai-pizza">

            </div>

        </div>

        <form action="" class="row">
            <label for="">Tên</label>
            <input type="text" name="" id="" class="form-control mb-4" placeholder="Nhập tên">
            <label for="">Email</label>
            <input type="text" name="" id="" class="form-control mb-4" placeholder="Nhập email">
            <label for="">Số điện thoại</label>
            <input type="text" name="" id="" class="form-control mb-4" placeholder="Nhập số điện thoại">
            <label for="">Địa chỉ</label>
            <input type="text" name="" id="" class="form-control mb-4" placeholder="Nhập địa chỉ">
            <label for="">Mã giảm giá</label>
            <input type="text" name="" id="" class="form-control mb-4" placeholder="Nhập mã giảm giá">
            <label for="">Lời nhắn</label>
            <input type="text" name="" id="" class="form-control mb-4" placeholder="Nhập lời nhắn">
            <button class="form-control btn btn-warning">Gửi</button>
        </form>



    </div>

    <div class="footer bg-warning mt-5 text-center py-5">
        <div class="row mb-4">
            <div class="col-sm-12">
                <h4><b>Footer</b></h4>
            </div>

        </div>
        <div class="row text-center mb-4">
            <div class="col-sm-12">
                <button class="btn btn-dark"><i class="fas fa-arrow-up mr-2"></i>To the top</button>
            </div>

        </div>
        <div class="row mb-3">
            <div class="col-sm-12">
                <i class="fab fa-facebook-square"></i>
                <i class="fab fa-instagram"></i>
                <i class="fas fa-bell"></i>
                <i class="fab fa-pinterest-p"></i>
                <i class="fab fa-twitter"></i>
                <i class="fab fa-linkedin-in"></i>

            </div>
        </div>
        <div class="row">
            <div class="col-sm-12">
                <p>Powered by DEVCAMP</p>
            </div>
        </div>

    </div>

</body>

<script>
  $(document).ready(function(){
     "use strict";
  /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    // các combo Pizza
   const gCOMBO_SMALL = "Small";
   const gCOMBO_MEDIUM = "Medium";
   const gCOMBO_LARGE = "Large";
   const gLOAI_OCEAN_MANIA= "OCEAN MANIA";
   const gLOAI_HAWAIIANN = "HAWAIIAN";
   const gLOAI_CHESSY_CHICKEN_BACON = "CHESSY CHICKEN BACON";
   const gGIA_SMALL = 150000;
   const gGIA_MEDIUM = 200000;
   const gGIA_LARGE = 250000;
  /*** REGION 2 - Vùng gán / thực thi hàm xử lý sự kiện cho các elements */

  //xử lý các nút chọn menu
  $("#btn-s").on("click", function(){
     onBtnSClick();
  });
  
  $("#btn-m").on("click", function(){
     onBtnMClick();
  });

  $("#btn-l").on("click", function(){
     onBtnLClick();
  });


  //goi hàm xử lý các nút chon pizza 
  $("#id-hai-san").on("click", function(){
    onBtnPizzaHaiSanClick();
  })

  $("#btn-dam-bong").on("click", function(){
    onBtnPizzaDamBongClick();
  })
  
  $("#btn-thit-xong-khoi").on("click", function(){
    onBtnPizzaThitXongKhoiClick();
  })

  /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */

  //hàm xử lý khi nhấn nút menu s
  function onBtnSClick(){
   var vThongTin = getSize("size S", "20 cm", "2", "200g", "2", 150000)
   vThongTin.displayConsole();

  }

  //hàm xử lý khi nhấn nút menu m
  function onBtnMClick(){
   var vThongTin = getSize("size M", "25 cm", "4", "300g", "3", 200000)
   vThongTin.displayConsole();

  }

  //hàm xử lý khi nhấn nút menu s
  function onBtnLClick(){
   var vThongTin = getSize("size L", "30 cm", "8", "500g", "4", 250000)
   vThongTin.displayConsole();

  }


  //hàm xử lý khi nhấn nút chon pizza hải sản 
  function onBtnPizzaHaiSanClick(){
    var vThongtin = getPizza("OCEAN MANIA", "PIZZA HẢI SẢN SỐT MAYONNAISE", "Xốt Cà Chua, Phô Mai Mozzarella Tôm, Mực, Thanh Cua, Hành Tây");
    vThongtin.displayConsole();
  }

  //hàm xử lý khi nhấn nút chon pizza dăm bông
  function onBtnPizzaDamBongClick(){
    var vThongtin = getPizza("HAWAIIAN", "PIZZA DĂM BÔNG DỨA KIỂU HAWAII", "Xốt Cà Chua, Phô Mai Mozzarella, Thịt Dăm Bông, Thơm");
    vThongtin.displayConsole();
  }

  //hàm xử lý khi nhấn nút chon pizza thịt xông khói
  function onBtnPizzaThitXongKhoiClick(){
    var vThongtin = getPizza("CHESSY CHICKEN BACON", "PIZZA GÀ PHÔ MAI THỊT HEO XÔNG KHÓI", "Xốt Phô Mai, Thịt Gà, Thịt Heo Muối, Phô Mai Mozzarella, Cà Chua");
    vThongtin.displayConsole();
  }
  /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/

  //hàm lấy thông tin menu
  function getSize(paramSize, paramDuongKinh, paramSuonNuong, paramSalad, paramNuocNgot, paramVND){
   var vSizeObj = {
      Size: paramSize,
      duongKinh: paramDuongKinh,
      suonNuong: paramSuonNuong,
      salad: paramSalad,
      nuocNgot: paramNuocNgot,
      VND: paramVND,
      displayConsole: function () {
        console.log("%c Combo menu được chọn ", "color:red")
        console.log("Size bánh: " + this.Size);
        console.log("Đường kính: " + this.duongKinh);
        console.log("Sườn Nướng: " + this.suonNuong);
        console.log("Salad: " + this.salad);
        console.log("Nước ngọt: " + this.nuocNgot);
        console.log("Giá tiền: " + this.VND);

      }
    };
    return vSizeObj;
  }

  //hàm lấy thông tin pizza
  function getPizza(paramPizzaName, paramSlogan, paramBody){
    var vPizzaOb = {
      Name: paramPizzaName,
      slogan: paramSlogan, 
      body: paramBody, 
      displayConsole: function () {
        console.log("%c Combo Pizza được chọn ", "color:red")
        console.log("Name Pizza: " + this.Name);
        console.log("Slogan: " + this.slogan);
        console.log("Body: " + this.body);
      }
    };
    return vPizzaOb;
  }
});
</script>
</html>